package rejoinServer
{
	function NMH_Type::Send(%this)
	{
		parent::Send(%this);

		%word = getWord(%this.getValue(), 0);

		if(%word $= "/rejoinServer")
		{
			if($ServerInfo::Password)
			{
				MJ_txtJoinPass.setText($ServerInfo::ServerPassword);
			}

			%playerCount = getWord(NPL_Window.getValue(), 0);
			%maxPlayers = getWord(NPL_Window.getValue(), 2);

			if(%playerCount > %maxPlayers)
			{
				newChatHUD_addLine("Error! You cannot rejoin the server because the player limit has been reached.");

				return;
			}

			if(getSubStr(serverConnection.getAddress(), 3, 999) $= "IP:")
			{
				%text = getSubStr(serverConnection.getAddress(), 3, 999);
			}

			else
			{
				%text = serverConnection.getAddress();
			}

			MJ_txtIP.setText(%text);

			disconnect();
			schedule(150, 0, MJ_connect);
		}
	}

	function MJ_connect(%a, %b, %c, %d)
	{
		%password = MJ_txtJoinPass.getValue();

		$ServerInfo::ServerPassword = %password;

		parent::MJ_connect(%a, %b, %c, %d);
	}
};
activatePackage(rejoinServer);